import * as ec2 from '@aws-cdk/aws-ec2';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface IInstanceServiceProps {
    /**
     * The Amazon Machine Image (AMI) to launch the target instance with.
     *
     * @stability stable
     */
    ami: ec2.IMachineImage;
    /**
     * Whether or not to enable logging to Cloudwatch Logs.
     *
     * @default true
     * @stability stable
     */
    enableCloudwatchLogs?: boolean;
}
/**
 * @stability stable
 */
export declare class InstanceService extends cdk.Construct {
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props: IInstanceServiceProps);
}
